Subject: [dmarc-ietf] Chair rotation

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 14 Apr 2021 10:06:19 -0700

Colleagues,

As Barry has stepped down from the IESG, he's available to re-engage in
other roles.  He has generously volunteered to invest time and energy in
the DMARC WG to carry the torch once the design teams complete their work
in the near future.

With much gratitude to all of the current chairs for managing this working
group, I will be rotating Alexey and Tim out so they can focus on other
things with their limited time, and bringing in Barry.  Alexey, I suspect,
needs all available bandwidth for EMAILCORE.  I know Tim is also a busy man
with DNSOP.  Seth, now free of the work that is EMAILCORE, will remain.

Thank you once again,

-MSK, your friendly neighborhood ART AD